Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "translate-audio",
    "input": {
      "model": "elevenlabs-dubbing",
      "audio_url": "https://example.com/my-audio.mp3",
      "target_lang": "es"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "translate-audio",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits1 credit per second
Tooltranslate-audio

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYestranslate-audio
input.modelstringYeselevenlabs-dubbing
input.audio_urlstringYesURL of the audio file to translate
input.target_langstringNoTarget language code (default: es). Options: en, es, fr, de, it, pt, zh, ja, ko, ru, ar, hi, nl, pl, tr, sv, da, fi, el, cs, ro, id, fil, uk, bg, ms, sk, hr, ta, vi, th
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "translate-audio",
    "input": {
      "model": "elevenlabs-dubbing",
      "audio_url": "https://example.com/my-audio.mp3",
      "target_lang": "es"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "translate-audio",
  "createdAt": "2024-01-15T10:30:00.000Z"
}